<script lang="ts">
import Vue from 'vue';
import SlpHorizontalRule from '~/components/common/horizontal-rule';

export default Vue.extend({
  name: 'GetStartedResources',
  components: {
    SlpHorizontalRule,
  },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div class="slp-my-48">
    <SlpRow class="header">
      <SlpTypography tag="h2" variant="heading2-bold">{{
        data.title
      }}</SlpTypography>
      <SlpHorizontalRule />
    </SlpRow>
    <SlpRow class="slp-py-8">
      <SlpColumn
        v-for="card in data.cards"
        :key="card.title"
        :cols="4"
        class="card-container"
        :class="{ 'card-container__inverse-bg': data.background === 'purple' }"
      >
        <a
          :href="card.link.url"
          :data-ga-name="card.link.data_ga_name"
          :data-ga-location="card.link.data_ga_location"
        >
          <SlpIcon
            :name="card.icon.name"
            :alt="card.icon.alt"
            size="md"
            hex-color="#171321"
            class="slp-mb-24"
          />
          <SlpTypography tag="h4" variant="heading4-bold" class="slp-mb-16">{{
            card.title
          }}</SlpTypography>
          <SlpTypography tag="p" variant="body1" class="slp-mb-24 description">
            {{ card.description }}
          </SlpTypography>
          <SlpButton variant="ghost" :href="card.link.url" class="button"
            >{{ card.link.text }}
            <SlpIcon
              name="chevron-lg-right"
              variant="product"
              hex-color="link-100"
          /></SlpButton>
        </a>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style lang="scss" scoped>
@import '~/assets/css/base.scss';

.header {
  hr {
    @media (max-width: $breakpoint-lg) {
      margin: $spacing-32 0;
    }
  }
}

.card-container {
  padding: $spacing-32 $spacing-16 $spacing-24 $spacing-16;
  margin: 0 $spacing-32 $spacing-24 $spacing-32;
  max-width: 320px;

  p,
  a,
  span {
    color: $color-text-300;
  }

  @media (max-width: $breakpoint-lg) {
    margin: 0;
  }

  &:hover {
    box-shadow: $shadow-surface-primary-3;
    border-radius: $spacing-4 $spacing-4 $spacing-96 $spacing-4;
    background-color: $color-surface-800;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
  }

  .description {
    height: 144px;
  }

  .button {
    color: $color-text-link-100;
    font-weight: $font-weight-bold;
    font-size: $text-body-1-bold;
    font-height: $line-height-body-1-bold;
    padding-right: 0;
    padding-left: 0;
    display: flex;
    align-items: center;
    & > .slp-icon {
      margin-left: $spacing-16;
      margin-top: -$spacing-4;
    }
  }

  &__inverse-bg {
    background-color: $color-surface-800;
    &:hover {
      box-shadow: $shadow-surface-primary-3;
      border-radius: $spacing-4 $spacing-4 $spacing-96 $spacing-4;
      transition: all 0.3s ease-in-out;
      cursor: pointer;
    }
  }
}
</style>
